from setuptools import setup

setup(
    name='studentresume',
    version='0.2.0',    
    description='Student Resume Generator Python package',
    url='https://github.com/open-uofa/studentresume',
    author='Diana',
    author_email='dble@ualberta.ca',
    license='MIT License',
    packages=['studentresume'],
    install_requires=['mpi4py>=2.0',
                    'numpy',
                    'anyio==3.6.1',
                    'attrs==22.1.0',
                    'certifi==2022.9.24',
                    'charset-normalizer==2.1.1',
                    'click==8.1.3',
                    'colorama==0.4.5',
                    'fastapi==0.85.0',
                    'h11==0.14.0',
                    'httptools==0.5.0',
                    'idna==3.4',
                    'importlib-resources==5.9.0',
                    'iniconfig==1.1.1',
                    'jsonschema==4.16.0',
                    'packaging==21.3',
                    'Pillow==9.2.0',
                    'pkgutil_resolve_name==1.3.10',
                    'pluggy==1.0.0',
                    'py==1.11.0',
                    'pydantic==1.10.2',
                    'pyparsing==3.0.9',
                    'pyrsistent==0.18.1',
                    'pytest==7.1.3',
                    'python-dotenv==0.21.0',
                    'PyYAML==6.0',
                    'reportlab==3.6.11',
                    'requests==2.28.1',
                    'sniffio==1.3.0',
                    'starlette==0.20.4',
                    'tomli==2.0.1',
                    'typing_extensions==4.3.0',
                    'urllib3==1.26.12',
                    'uvicorn==0.18.3',
                    'watchfiles==0.17.0',
                    'websockets==10.3',
                    'zipp==3.8.1',                
                    ],
    package_data={'studentresume': ['requiredFields.json', 
                                    'sample.resume.json',
                                    'schema.json',
                                    'testonepage.resume.json',
                                    'themes/*',
                                    'fonts/*',]},
    include_package_data=True,
    classifiers=[
        'Development Status :: 1 - Planning',
        'License :: OSI Approved :: MIT License',  
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python :: 3.10',
    ],
)